﻿@using System.Web.UI.WebControls;

@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;

@using Portal.Models.Receiving.KanbanReceiving;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;

@Html.DevExpress().GridView(
setting =>
{
    setting.Name = "GridKanbanUploaded";
    setting.KeyFieldName = "MANIFEST_NO";
    setting.CallbackRouteValues = new { Controller = "KanbanReceiving", Action = "PartialDataUpload" };
    //setting.ClientSideEvents.Init = "gridDeliveryInvoice_Init";
    //setting.ClientSideEvents.CustomButtonClick = "func";
    //setting.ClientSideEvents.Init = "grid_init";
    //setting.ClientSideEvents.BeginCallback = "OnBeginCallbackGrid";
    //setting.ClientSideEvents.EndCallback = "OnEndCallbackGrid";
    setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
    setting.Width = Unit.Percentage(100);
    setting.Height = Unit.Pixel(180);
    setting.Settings.ShowFilterRow = true;
    setting.Settings.ShowFilterRowMenu = true;
    setting.SettingsBehavior.AllowSelectSingleRowOnly = true;
    setting.SettingsBehavior.AllowSelectByRowClick = false;
    setting.CommandColumn.ClearFilterButton.Visible = true;
    setting.CommandColumn.ShowSelectCheckbox = true;
    setting.CommandColumn.Visible = false;
    setting.CommandColumn.Width = Unit.Pixel(20);
    setting.SettingsPager.PageSizeItemSettings.Visible = true;
    setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "5", "30", "50", "100" };
    setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";
    setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
    setting.Settings.VerticalScrollableHeight = 155;
    setting.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    setting.SettingsPager.FirstPageButton.Visible = true;
    setting.SettingsPager.LastPageButton.Visible = true;
    setting.CommandColumn.SetHeaderTemplateContent(
    c =>
    {
        Html.DevExpress().CheckBox(
                chckBox =>
                {
                    chckBox.Name = "SelectAllCheckBox";
                    //chckBox.Width = 16;
                    //chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ GridServiceAcceptance.SelectAllRowsOnPage(chkAllRecord.GetChecked());}";
                    //chckBox.Properties.ClientSideEvents.CheckedChanged = "CheckChange";
                    //chckBox.Checked = c.Grid.Selection.Count > 1;
                    chckBox.Properties.ClientSideEvents.CheckedChanged = string.Format("function(s, e) {{ if(s.GetChecked()) {0}.SelectRows(); else {0}.UnselectRows(); }}", setting.Name);
                    chckBox.Checked = c.Grid.Selection.Count == c.Grid.VisibleRowCount;
                }
            ).Render();
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "KANBAN_NO";
        col.Caption = "Kanban No";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "KANBAN_ID";
        col.Caption = "Kanban ID";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "PART_NO";
        col.Caption = "Part No";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "PART_NAME";
        col.Caption = "Part Name";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "SUPPLIER_CD";
        col.Caption = "Supplier Code";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "SUPPLIER_NAME";
        col.Caption = "Supplier Name";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "ORDER_NO";
        col.Caption = "Order No";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "MANIFEST_NO";
        col.Caption = "Manifest No";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "RCV_PLANT_CD";
        col.Caption = "Plant CD";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });

    setting.Columns.Add(col =>
    {
        col.FieldName = "DOCK_CD";
        col.Caption = "Dock CD";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "P_LANE_NO";
        col.Caption = "P Lane No";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "ROUTE";
        col.Caption = "Route";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "RIT";
        col.Caption = "Rit";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    setting.Columns.Add(column =>
    {
        column.Caption = "Arrival Plan";
        column.Name = "ARRIVAL_PLAN_DT";
        column.FieldName = "ARRIVAL_PLAN_DT";
        column.ColumnType = MVCxGridViewColumnType.DateEdit;
        column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH:mm:ss";
        var dateEditProperties = column.PropertiesEdit as DateEditProperties;
        dateEditProperties.EditFormat = EditFormat.DateTime;
        dateEditProperties.EditFormatString = "dd.MM.yyyy HH:mm:ss";
        dateEditProperties.UseMaskBehavior = true;
        column.Width = Unit.Pixel(140);
        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
        column.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });
    
     setting.Columns.Add(column =>
    {
        column.Caption = "Arrival Actual";
        column.Name = "ARRIVAL_ACTUAL_DT";
        column.FieldName = "ARRIVAL_ACTUAL_DT";
        column.ColumnType = MVCxGridViewColumnType.DateEdit;
        column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy HH:mm:ss";
        var dateEditProperties = column.PropertiesEdit as DateEditProperties;
        dateEditProperties.EditFormat = EditFormat.DateTime;
        dateEditProperties.EditFormatString = "dd.MM.yyyy HH:mm:ss";
        dateEditProperties.UseMaskBehavior = true;
        column.Width = Unit.Pixel(140);
        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
        column.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
    });
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "STATUS";
        col.Caption = "Status";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
    
    
    setting.Columns.Add(col =>
    {
        col.FieldName = "UPDATE";
        col.Caption = "Update";
        col.Width = 110;
        col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        col.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
        //col.SetDataItemTemplateContent(container =>
        //{
        //    Html.DevExpress().HyperLink(hlSettings =>
        //    {
        //        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //        hlSettings.NavigateUrl = "javascript:void(0)";
        //        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OpenUrl('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
        //        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
        //    }).Render();
        //});
    });
}).Bind(Model.GetModel<KanbanReceivingDownloadModel>().KanbanReceivingListDownloadData).GetHtml()